@charset "UTF-8";
/* -----------------------------------------------
 * action.css
 * 制作再開：★H31.03.14 (木) ★R元.08.13 (火)
 * 前回更新：★R02.05.12 (火) ★R02.08.11 (火)
 * 最終更新：★R04.06.20 (月) ★R08.07.07 (火)
 * -------------------------------------------- */
/* --- ◆ 上・右・下・左◆上・左右・下◆上下・左右 ◆ --- */
/* ▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼▼ */

/* ▼ 標準的
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - */

.center { text-align: center; }
.red { color: red; }
.orange { color: orange; }
.aqua { color: aqua; }
.yellow { color: yellow; }
.pink { color: #ffcccc; }


/* ▼ ハンバーガー・メニュー用 ▼
--------------------------------------------------------- */

#global-navi {
    background:#fff;    /* #333 */
    position: fixed;
    top: 0;
    right: 0px;
    width: 100%;
}
/* --------- ▼ ---- ★R04.06.20 (月) ------------------- */
@media (min-width: 640px) {
  #wrapmenu nav { 
    display: block;
  }
}

#wrapmenu nav ul li{
    display:inline-block;
    font-size: 16px;
    padding:  10px 20px 25px 8px;
  }
#wrapmenu nav ul li a{
    color: #333    /* #ddd */
  }
/* ---------- ▲ ---- ★R04.06.20 (月) ------------------ */
/*スマホ画面でハンバーガーメニューの形にする*/
@media screen and (max-width: 639px) {
  #wrapmenu nav {
      position: fixed;
      top: 0;
      right: -300px;
      width: 300px;
      height: 100%;
      padding-top: 50px;
      background:#069;          /* ★R04.06.20 (月) #333 */
      font-size: 16px;
      box-sizing: border-box;
      z-index: 2
  }
  #wrapmenu nav ul li {
      display:block;
      padding: 10px 28px;       /* 20px 28px ★R08.07.06 (月) */
  }

  #wrapmenu nav ul li a {
      text-decoration: none;
      color: #ddd
  }

  #wrapmenu .btn-gnavi {
      position: fixed;
      top: 5px;                   /* ★R04.06.20 (月) 20px */
      right: 20px;
      width: 30px;
      height: 24px;
      z-index: 3;
      box-sizing: border-box;
      cursor: pointer;
      -webkit-transition: all 400ms;
      transition: all 400ms
  }

  #wrapmenu .btn-gnavi span {
      position: absolute;
      width: 30px;
      height: 4px;
      background: #666;
      border-radius: 10px;
      -webkit-transition: all 400ms;
      transition: all 400ms
  }

  #wrapmenu .btn-gnavi span:nth-child(1) {
      top: 0
  }

  #wrapmenu .btn-gnavi span:nth-child(2) {
      top: 10px       /* 10px */
  }

  #wrapmenu .btn-gnavi span:nth-child(3) {
      top: 20px      /* 20px */
  }

  #wrapmenu .btn-gnavi.open {
      -webkit-transform: rotate(180deg);
      transform: rotate(180deg)
  }

  #wrapmenu .btn-gnavi.open span {
      background: #fff
  }

  #wrapmenu .btn-gnavi.open span {
      width: 24px;
  }
  #wrapmenu .contents section p {
      position: absolute;
      top: 50%;
      width: 30%;
      line-height: 1.4;
      font-size: 20px;
      color: #fff;
      text-shadow: 0 0 6px #666
  }

  #wrapmenu .contents section:nth-child(odd) p {
    left: 10%
  }

  #wrapmenu .contents section:nth-child(even) p {
      right: 10%
  }
}

/* ▼ アコーディオン・左部メニュー用 ▼
--------------------------------------------------------- */
/* ----
summary::marker {
  color: #ff5722;    ▼の色を変更 ★R08.07.05 (日) 
}
---- */

ul.bkg-color {
	background-color: white;      /* ★R08.06.28 (日)  */
 }
summary {
  display: grid;  /* デフォルトの三角形アイコンは非表示 */
  grid-template-columns: 1fr 12px;  /* 1fr 24px */
  gap: 6px;  /* 6px */
  align-items: center;
  cursor: pointer;
  padding: 2px 24px;   /* 16px 24px */
  font-weight: 600;
/*  border: 1px solid #d2beff;
  color: #002255;  */
}
/* Safariで表示されるデフォルトの三角形アイコンを消す */
summary::-webkit-details-marker {
  display: none;
}
/* --------アイコンを作ります-------- */
.icon {
  display: block;
  position: relative;
  width: 24px;      /* 24px */
  height: 18px;     /* 24px */
  transform-origin: center;
  transition: transform 0.4s;
}
/* アイコンのバーのスタイル */
.icon::before, .icon::after {
  content: "";
  position: absolute;
  top: 50%;
  display: block;
  width: 15px;
  height: 3px;
  background-color: #ffffff;  /* #7050ff */
}
.icon::before {
  left: 0;
  transform: translateY(-50%) rotate(45deg);
}
.icon::after {
  right: 0;
  transform: translateY(-50%) rotate(-45deg);
}
/* アコーディオンが開いた時のスタイル */
details[open] .icon {
  transform: rotate(180deg);
}
/* ------ アコーディオンの中身のスタイル -------- */
.content {
  background-color: #f7f7f7;
  padding: 24px 48px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

/* ----- ----- ----- ----- ----- ----- ----- ----- */

/* ▼【レスポンシブ】
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
@media screen and (min-width:640px){
	/*header {display:none;} */
	#wrapmenu {display:none;}
}

/* ▼ ページ・トップ用 ▼
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
#pagetop{
    position: fixed;
    right: 20px;         /* ★R04.06.20 (月) 10% */
    bottom: 20px;        /* ★R04.06.20 (月) 5% */
    opacity: 0;
    -ms-filter: "alpha( opacity=0 )";
     /* CSS3では、この値を "<filter-function> [<filter-function>] * | none" にできる。
    filter:alpha(opacity:0);
     */
    zoom:1;
    z-index: 9999;
}
#pagetop a{
    display: block;
    padding: 10px;   /* 20px */
    background: #1EA6BB;
    color:#fff;
    text-decoration: none;
}

/* ▲-- 上・右・下・左 ◆ 上・左右・下 ◆ 上下・左右 --▲ */
